- Qt 5.0
- Qt 5.0.0 Reference Documentation

# TodoTime QML Type

The TodoTime element contains the start and due dates and times of a recurring todo series, or occurrence of an todo item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- allDay : date
- dueDateTime : date
- startDateTime : date

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- TodoTime.FieldStartDateTime
- TodoTime.FieldDueDateTime
- TodoTime.FieldAllDay

See also QOrganizerTodoTime.

## Property Documentation

allDay : date

This property holds whether the time is significant in the start datetime.

dueDateTime : date

This property holds the end date and time value of the todo item.

startDateTime : date

This property holds the start date and time value of the todo item.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.